# 01 | Cluster Bootstrap

Assumption is that an external load balancer is already configured for the cluster control plane IP address.  Initialize the cluster, but do not join any other nodes to it yet.  

```bash

sudo kubeadm init --config cluster-config.yaml --upload-certs

```

Copy kube admin config to local profile.  This is also a good time to copy it to your desktop with SCP or something.  

```bash
mkdir -p $HOME/.kube
sudo cp -i /etc/kubernetes/admin.conf $HOME/.kube/config
sudo chown $(id -u):$(id -g) $HOME/.kube/config

```
